### Signal

# Phosh DBusDisplayConfig::handle-set-output-ctm

#### Declaration

    gboolean
    handle_set_output_ctm (
      PhoshDBusDisplayConfig* self,
      GDBusMethodInvocation* invocation,
      guint arg_serial,
      guint arg_output,
      GVariant* arg_ctm,
      gpointer user_data
    )

#### Description [src]

Signal emitted when a remote caller is invoking the SetOutputCTM() D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_set_output_ctm()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

`arg_serial`

  Type: `guint`

  Argument passed by remote caller.

`arg_output`

  Type: `guint`

  Argument passed by remote caller.

`arg_ctm`

  Type: `GVariant`

  Argument passed by remote caller.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.